<template>
  <div style="width: 100%; padding: 0; margin: auto; box-shadow: 1px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
    <div> <h4 class="text-weight-bolder" style="margin: 30px 20px 30px 50px" >Detail Produk</h4></div>
    <div class="row" style="width: 100%; flex-wrap: nowrap">
      <div class="col-md-4" style="text-align: center; ">
        <div class="caption vertical-center text-left" style="margin-left: 50px; margin-top: 30px">
          <img style="margin-top: -20px; width: 90%;" src="~assets/detailproduk.jpg">
        </div>
      </div>
      <div class="col-md-7" style="width: 90%" >
        <div class="row">
          <h4 class="text-weight-bolder" style="margin: 10px 10px 10px 0px" >Kenmaster Kuas Cat Gg Red Gold</h4>
        </div>
        <div style="width: 65%;">
          <div class="row">
            <p>Merk</p>
            <p style="margin-left: 56px">:</p>
            <p style="margin-left: 30px">Kenmaster</p>
          </div>
          <div class="row" style="width: 60%; flex-wrap: nowrap">
            <p>Deskripsi</p>
            <p style="margin-left: 30px">:</p>
            <p style="margin-left: 30px">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ab ad aliquid amet dolorum eius id, inventore modi odit officia officiis omnis possimus provident quis quo ratione, similique tempore tenetur voluptas?</p>
          </div>
        </div>
      </div>
    </div>

    <div class="row" style="margin-left: 50px">
      <img style="width: 9%;" src="~assets/detailproduk.jpg">
      <img style="width: 9%; margin-left: 4px" src="~assets/detailproduk.jpg">
      <img style="width: 9%; margin-left: 4px" src="~assets/detailproduk.jpg">
    </div>

    <div class="q-pa-md">
      <q-carousel
        v-model="slide"
        transition-prev="slide-right"
        transition-next="slide-left"
        animated
        control-color="primary"
        class="rounded-borders"
      >
        <q-carousel-slide name="style">
          <template>
            <div class="q-pa-md" >
              <q-markup-table flat bordered>
                <thead class="bg-teal">
                <tr>
                  <th colspan="9">
                    <div class="row no-wrap items-center">
                      <div class="text-h4 q-ml-md text-white">Daftar Referensi Jenis Produk</div>
                    </div>
                  </th>
                </tr>
                <tr>
                  <th class="text-left" style="text-align: center">SKU Number</th>
                  <th class="">Unit</th>
                  <th class="">Size</th>
                  <th class="">Stock</th>
                  <th class="">Harga</th>
                  <th class="">Jumlah</th>
                </tr>
                </thead>
                <tbody class="bg-grey-3">
                <tr style="height: 80px">
                  <td class="" style="text-align: center">S004637273</td>
                  <td class="" style="text-align: center">1pc</td>
                  <td class="" style="text-align: center">2inch</td>
                  <td class="" style="text-align: center">1</td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center"><div class="row flex-center">
                    <q-input outlined v-model="text" :dense="dense" style="width: 100px; margin-right: 20px; height: 20px" />
                    <q-btn
                      style="width: 170px; height: 55px"
                      color="primary"
                      icon="shopping_cart"
                      label="beli"
                    />
                  </div>
                  </td>
                </tr>
                <tr>
                  <td class="" style="text-align: center">S004637273</td>
                  <td class="" style="text-align: center">1pc</td>
                  <td class="" style="text-align: center">2inch</td>
                  <td class="" style="text-align: center">1</td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center"><div class="row flex-center">
                    <q-input outlined v-model="text" :dense="dense" style="width: 100px; margin-right: 20px; height: 20px" />
                    <q-btn
                      style="width: 170px; height: 55px"
                      color="primary"
                      icon="shopping_cart"
                      label="beli"
                    />
                  </div>
                  </td>
                </tr>
                <tr>
                  <td class="" style="text-align: center">S004637273</td>
                  <td class="" style="text-align: center">1pc</td>
                  <td class="" style="text-align: center">2inch</td>
                  <td class="" style="text-align: center">1</td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center"><div class="row flex-center">
                    <q-input outlined v-model="text" :dense="dense" style="width: 100px; margin-right: 20px; height: 20px" />
                    <q-btn
                      style="width: 170px; height: 55px"
                      color="primary"
                      icon="shopping_cart"
                      label="beli"
                    />
                  </div>
                  </td>
                </tr>
                </tbody>
              </q-markup-table>
            </div>
          </template>
        </q-carousel-slide>
        <q-carousel-slide name="tv" class="column no-wrap flex-center">
          <div class="q-mt-md text-center">
            {{ lorem }}
          </div>
        </q-carousel-slide>
      </q-carousel>

      <div class="row justify-center">
        <q-btn-toggle
          glossy
          v-model="slide"
          :options="[
          { label: 1, value: 'style' },
          { label: 2, value: 'tv' }
        ]"
        />
      </div>
    </div>


    <div class="col-md-12" style="width: 90%; padding: 0; margin-left: auto; margin-right: auto; margin-top: 100px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50" >
        <div style="width: 100%; padding: 0;"  class="q-pa-md">
          <div class="q-gutter-y-md" style="width: 100%">
            <q-card>
              <q-tabs
                v-model="tab"
                dense
                class="text-grey"
                active-color="green"
                indicator-color="green"
                align="justify"
                narrow-indicator
              >
                <q-tab name="Deskripsi" label="Deskripsi" />
                <q-tab name="Garansi" label="Garansi & Pengembalian Barang" />
              </q-tabs>
              <q-separator />
              <q-tab-panels v-model="tab" animated >
                <q-tab-panel name="Deskripsi">
                  <q-form class="q-gutter-md">
                    <div class="q-pa-md">
                      <q-input
                        v-model="text"
                        filled
                        type="textarea"
                      />
                    </div>
                  </q-form>
                </q-tab-panel>

                <q-tab-panel name="Garansi">
                  <q-form
                    class="q-gutter-md"
                  >

                  <div class="q-pa-md" style="width: 95%; padding: 0; margin-left: auto; margin-right: auto; margin-top: 30px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2" >
                    {{ lorem }}
                    </div>
                  </q-form>
                </q-tab-panel>


              </q-tab-panels>
            </q-card>

          </div>
        </div>

      </div>

   <div style="margin-top: 100px">.</div>

  </div>
</template>

<script>

export default {
  data () {
    return {
      slide: 'style',
      tab: 'Deskripsi',

      expanded: false,
      lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
    }
  }
}

</script>


<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px
</style>
